#!/usr/bin/env python

#############################################################################
##
## Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
## All rights reserved.
## Contact: Nokia Corporation (qt-info@nokia.com)
##
## This file is part of the documentation of Qt. It was originally
## published as part of Qt Quarterly.
##
## $QT_BEGIN_LICENSE:LGPL$
## Commercial Usage
## Licensees holding valid Qt Commercial licenses may use this file in
## accordance with the Qt Commercial License Agreement provided with the
## Software or, alternatively, in accordance with the terms contained in
## a written agreement between you and Nokia.
##
## GNU Lesser General Public License Usage
## Alternatively, this file may be used under the terms of the GNU Lesser
## General Public License version 2.1 as published by the Free Software
## Foundation and appearing in the file LICENSE.LGPL included in the
## packaging of this file.  Please review the following information to
## ensure the GNU Lesser General Public License version 2.1 requirements
## will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
##
## In addition, as a special exception, Nokia gives you certain additional
## rights.  These rights are described in the Nokia Qt LGPL Exception
## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
##
## GNU General Public License Usage
## Alternatively, this file may be used under the terms of the GNU
## General Public License version 3.0 as published by the Free Software
## Foundation and appearing in the file LICENSE.GPL included in the
## packaging of this file.  Please review the following information to
## ensure the GNU General Public License version 3.0 requirements will be
## met: http://www.gnu.org/copyleft/gpl.html.
##
## If you have questions regarding the use of this file, please contact
## Nokia at qt-info@nokia.com.
## $QT_END_LICENSE$
##
#############################################################################

import sys
from PyQt4.QtCore import *
from PyQt4.QtGui import *
from PyQt4.QtSvg import *

def paintLandmark(painter):

    painter.setPen(QPen(Qt.black, 6))
    painter.setBrush(QBrush(pinGradient))
    painter.drawPolygon(QPolygon([QPoint(70, 25), QPoint(80, 35), QPoint(10, 95)]))
    
    painter.setPen(QPen(Qt.black, 6))
    painter.setBrush(QBrush(topGradient))
    painter.drawEllipse(55, 10, 40, 40)

def paintIcon(function, file_name):

    image = QImage(32, 32, QImage.Format_ARGB32)
    image.fill(qRgba(0, 0, 0, 0))
    
    painter = QPainter()
    painter.begin(image)
    painter.setRenderHint(QPainter.Antialiasing)
    painter.scale(0.32, 0.32)
    function(painter)
    painter.end()
    
    image.save(file_name)


app = QApplication(sys.argv)

topGradient = QRadialGradient(75, 30, 20, 65, 20)
topGradient.setColorAt(0.0, QColor(255, 224, 224))
topGradient.setColorAt(1.0, QColor(255, 64, 64))

pinGradient = QLinearGradient(25, 95, 55, 10)
pinGradient.setColorAt(0.0, QColor(255, 255, 255))
pinGradient.setColorAt(1.0, QColor(128, 128, 128))

paintIcon(paintLandmark, "landmark.png")
